﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DTOs
{
    public class QuestionDto
    {
        /// <summary>
        /// represent a mathematical question
        /// properties :
        ///     Id : identifier of the question in the database
        ///     Content : the content of the question
        ///     Difficulty : difficulty (between 1 and 3 included) of the question
        ///     NbFails : number of time that people fail on this question
        ///     IdChapter : identifier of the chapter of the question
        ///     IdAnswerGood : identifier of the right answer to this question
        /// </summary>
        public int? Id { get; set; }
        public string Content { get; set; } = null!;
        public int Difficulty { get; set; }
        public int NbFalls { get; set; }
        public int? IdChapter { get; set; }
        public int? IdAnswerGood { get; set; }
    }
}
