﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Entities
{
    public class AnswerEntity
    {
        /// <summary>
        /// define an entity for an answer for a Question with Mutiple Choice
        /// properties :
        ///     Id : identifier in the database
        ///     Content : content of the answer
        ///     IdQuestion : the id of the question which it answer to
        /// </summary>
        [Key]
        public int? Id { get; set; }
        public string Content { get; set; } = null!;

        [ForeignKey(nameof(QuestionEntity))]
        public int? IdQuestion { get; set; }
    }
}
