﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Entities
{
    public class LobbyEntity
    {
        /// <summary>
        /// define a lobby for QMC rapidity fight
        /// properties :
        ///     Id : identifier of the lobby in the database
        ///     Name : name of the lobby
        ///     Password : password require to access at the lobby
        ///     IdCreator : identifier of the creator player
        /// </summary>
        [Key]
        public int? Id { get; set; }
        public string Name { get; set; } = null!;
        public string Password { get; set; } = null!;
        public int NbPlayers { get; set; }

        [ForeignKey(nameof(PlayerEntity))]
        public int? IdCreator { get; set; }
    }
}
